﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_position_form_over_form
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Position a new instance of this form
        // just to the right and below the button.
        private void btnShowForm_Click(object sender, EventArgs e)
        {
            // Get the location in this form's coordinate system.
            Point form_pt = new Point(btnShowForm.Right, btnShowForm.Bottom);

            // Translate into the screen coordinate system.
            Point screen_pt = this.PointToScreen(form_pt);

            // Create and position the form.
            Form1 frm = new Form1();
            frm.StartPosition = FormStartPosition.Manual;
            frm.Location = screen_pt;
            frm.Show();
        }
    }
}
